Static site generation in pelican-pipeline uses the wrong configuration file.
Closed, ResolvedPublic

Description

As you can see here: https://phabricator.kde.org/source/sysadmin-binary-factory-tooling/browse/master/staticweb/pipeline-templates/pelican.pipeline at the line 23

It should be :
pelican ./content/ -o ./_site/ -s publishconf.py

publishconf.py is the configuration file for site in production while pelicanconf.py is for development.

renaudg created this task.Mar 23 2020, 4:14 PM
Restricted Application added a subscriber: sysadmin. · View Herald TranscriptMar 25 2020, 10:38 AM
ognarb added a subscriber: ognarb.Mar 25 2020, 2:02 PM

Can you create a merge request in invent.kde.org/sysadmin/binary-factory-tooling/?

Yes, I did it.

bcooksley closed this task as Resolved.Mar 26 2020, 5:09 AM
bcooksley claimed this task.
bcooksley added a subscriber: bcooksley.

This has now been actioned as requested and I have re-run the site generation for rolisteam.org.

I think some dependencies are missing on the building machine.

Such as python3-markdown (deb package) and this python module: mdx_video (python3 -m pip install mdx_video)